Name:           tuxmath
Version:        2.0.1
Release:        9%{?dist}
Summary:        Educational math tutor for children

Group:          Amusements/Games
License:        GPLv3+ and CC-BY and OFL
URL:            http://tux4kids.alioth.debian.org/
Source0:        https://alioth.debian.org/frs/download.php/3272/%{name}_w_fonts-%{version}.tar.gz
Patch0:	        tuxmath_w_fonts-2.0.1-scandir.patch
Patch1:         tuxmath_w_fonts-2.0.1-gcc5.patch

BuildRequires:  desktop-file-utils
BuildRequires:  SDL-devel
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_Pango-devel
BuildRequires:  SDL_net-devel
BuildRequires:  librsvg2-devel
BuildRequires:	t4k_common-devel

%description
TuxMath is an educational math tutor for children. It features several
different types of gameplay, at a variety of difficulty levels.


%prep
%setup -q -n %{name}_w_fonts-%{version}
# remove unneeded font files
rm -f data/fonts/*.ttf
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %{name}.desktop


%files -f %{name}.lang
%{_pkgdocdir}
%{_bindir}/%{name}*
%{_bindir}/generate_lesson
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Jul 24 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.0.1-9
- Add tuxmath_w_fonts-2.0.1-gcc5.patch (Fix F23FTBFS, RHBZ#1240080).
- Modernize spec.

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 18 2011 Jon Ciesla <limb@jcomserv.net> - 2.0.1-1
- 2.0.1
- Patch to use system scandir rather than conflicting removed from t4k_common.

* Wed Dec 29 2010 Jon Ciesla <limb@jcomserv.net> - 1.9.0-1
- 1.9.0

* Sat May 01 2010 Johan Cwiklinski <johan AT x-tnd DOT be> - 1.8.0-1
- 1.8.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 20 2009 Johan Cwiklinski <johan AT x-tnd DOT be> - 1.7.2-4
- remove fonts licence as shipped fonts has been removed

* Tue May 19 2009 Johan Cwiklinski <johan AT x-tnd DOT be> - 1.7.2-3
- fix end-of-line-encoding issue

* Mon May 18 2009 Johan Cwiklinski <johan AT x-tnd DOT be> - 1.7.2-2
- remove fonts

* Sun May 17 2009 Johan Cwiklinski <johan AT x-tnd DOT be> - 1.7.2-1
- initial packaging
